do
--create an instance of the IADS
redIADSEast = SkynetIADS:create('Iran East')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADSEast:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
--redIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
--redIADS:addSAMSitesByPrefix('SAM')

--add a Eastern command center:
local commandCenter = StaticObject.getByName("Minab C2")
local comPowerSource = StaticObject.getByName("Minab C2 Power")
redIADSEast:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

--add a power source and a connection node for ER01 P-19 radar:
redIADSEast:addEarlyWarningRadar('EW-ER01_P-19')
local powerSource = StaticObject.getByName('ER01_P-19_Power')
local connectionNodeEW = StaticObject.getByName('ER01_P-19_Node')
redIADSEast:getEarlyWarningRadarByUnitName('EW-ER01_P-19'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add a power source and a connection node for DQ89 55G6 radar:
redIADSEast:addEarlyWarningRadar('EW-DQ89_55G6')
local powerSource = StaticObject.getByName('DQ89 55G6 Power')
local connectionNodeEW = StaticObject.getByName('DQ89 55G6 Node')
redIADSEast:getEarlyWarningRadarByUnitName('EW-DQ89_55G6'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add Coastal SA-11 with node
redIADSEast:addSAMSite('SAM- Coastal SA-11')
local connectionNode = Unit.getByName("Coastal SA-11 Node") 
redIADSEast:getSAMSiteByGroupName('SAM- Coastal SA-11'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(90)

--add Minab HAWK with node and power
redIADSEast:addSAMSite('SAM- Minab HAWK')
local powerSource = StaticObject.getByName("Minab HAWK Power")  
local connectionNode = Unit.getByName("Minab HAWK Node") 
redIADSEast:getSAMSiteByGroupName('SAM- Minab HAWK'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(80):setHARMDetectionChance(70)

--add DR82 SA-2 with node and power
redIADSEast:addSAMSite('SAM- DR82 SA-2')
local powerSource = StaticObject.getByName("DR82 SA-2 Power")  
local connectionNode = Unit.getByName("DR82 SA-2 Node") 
redIADSEast:getSAMSiteByGroupName('SAM- DR82 SA-2'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(80):setHARMDetectionChance(50)

--add DR61 SA-6 with node
redIADSEast:addSAMSite('SAM- DR61 SA-6')  
local connectionNode = Unit.getByName("DR61 Straight Flush") 
redIADSEast:getSAMSiteByGroupName('SAM- DR61 SA-6'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(70)

--create an instance of the IADS
redIADSBandar = SkynetIADS:create('Iran Bandar Abbas')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADSBandar:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
--redIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
--redIADS:addSAMSitesByPrefix('SAM')

--add a Bandar Abbas command center:
local commandCenter = StaticObject.getByName('Bandar Abbas C2')
local comPowerSource = StaticObject.getByName("Bandar Abbas C2 Power")
redIADSBandar:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

--add a power source and a connection node for DR73 1L13 radar:
redIADSBandar:addEarlyWarningRadar('EW-DR73_1L13')
local powerSource = StaticObject.getByName('DR73 1L13 Power')
local connectionNodeEW = StaticObject.getByName('DR73 1L13 Node')
redIADSBandar:getEarlyWarningRadarByUnitName('EW-DR73_1L13'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add a power source and a connection node for Bandar Abbas P-19 radar:
redIADSBandar:addEarlyWarningRadar('EW-Bandar_Abbas_P-19')
local powerSource = StaticObject.getByName('Bandar Abbas P-19 Power')
local connectionNodeEW = StaticObject.getByName('Bandar Abbas P-19 Node')
redIADSBandar:getEarlyWarningRadarByUnitName('EW-Bandar_Abbas_P-19'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add SA-15 with node
redIADSBandar:addSAMSite('sam-sa-15-group')
local connectionNode = Unit.getByName("SA-15 Node") 
redIADSBandar:getSAMSiteByGroupName('sam-sa-15-group'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(100):setHARMDetectionChance(95)

--add SA-10 with node and power
redIADSBandar:addSAMSite('SAM- SA-10')
local powerSource = StaticObject.getByName("SAM- SA-10 Power")  
local connectionNode = Unit.getByName("SA-10 BCV") 
local sa10_defense = redIADSBandar:getSAMSiteByGroupName('sam-sa-15-group')
redIADSBandar:getSAMSiteByGroupName('SAM- SA-10'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(80):setHARMDetectionChance(95):setIgnoreHARMSWhilePointDefencesHaveAmmo(true):addPointDefence(sa10_defense)
redIADSBandar:getSAMSitesByNatoName('SA-10'):setActAsEW(true)

--add Bandar Abbas HAWK with node and power
redIADSBandar:addSAMSite('SAM- Bandar Abbas HAWK')
local powerSource = StaticObject.getByName("Bandar Abbas HAWK Power")  
local connectionNode = Unit.getByName("Bandar Abbas HAWK Node") 
redIADSBandar:getSAMSiteByGroupName('SAM- Bandar Abbas HAWK'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(70)

--add City SA-2 with node and power
redIADSBandar:addSAMSite('SAM- City SA-2')
local powerSource = StaticObject.getByName("City SA-2 Power")  
local connectionNode = Unit.getByName("City SA-2 Node") 
redIADSBandar:getSAMSiteByGroupName('SAM- City SA-2'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(50):setHARMDetectionChance(50)

--add Bandar Abbas SA-11 with node
redIADSBandar:addSAMSite('SAM- Bandar Abbas SA-11')
local connectionNode = Unit.getByName("Bandar Abbas SA-11 Node") 
redIADSBandar:getSAMSiteByGroupName('SAM- Bandar Abbas SA-11'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(90)

--add Havadarya SA-2 with node and power
redIADSBandar:addSAMSite('SAM- Havadarya SA-2')
local powerSource = StaticObject.getByName("Havadarya SA-2 Power")  
local connectionNode = Unit.getByName("Havadarya SA-2 Node") 
redIADSBandar:getSAMSiteByGroupName('SAM- Havadarya SA-2'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(50)



--create an instance of the IADS
redIADSWest = SkynetIADS:create('Iran West')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADSWest:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
--redIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
--redIADS:addSAMSitesByPrefix('SAM')

--add a Western command center:
local commandCenter = StaticObject.getByName('Western C2')
local comPowerSource = StaticObject.getByName("Western C2 Power")
redIADSWest:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

--add a CR92 55G6 radar with power source and a connection node:
redIADSWest:addEarlyWarningRadar('EW-CR92_55G6')
local powerSource = StaticObject.getByName('CR92 55G6 Power')
local connectionNodeEW = StaticObject.getByName('CR92 55G6 Node')
redIADSWest:getEarlyWarningRadarByUnitName('EW-CR92_55G6'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add Bostanu SA-6 with node
redIADSWest:addSAMSite('SAM- Bostanu SA-6')  
local connectionNode = Unit.getByName("Bostanu SA-6 Straight Flush") 
redIADSWest:getSAMSiteByGroupName('SAM- Bostanu SA-6'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(70)

--add CR94 SA-6 with node
redIADSWest:addSAMSite('SAM- CR94 SA-6')  
local connectionNode = Unit.getByName("CR94 SA-6 Straight Flush") 
redIADSWest:getSAMSiteByGroupName('SAM- CR94 SA-6'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(100):setHARMDetectionChance(70)

--add CR42 SA-6 SA-6 with node
redIADSWest:addSAMSite('SAM- CR42 SA-6')  
local connectionNode = Unit.getByName("CR42 SA-6 Straight Flush") 
redIADSWest:getSAMSiteByGroupName('SAM- CR42 SA-6'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(100):setHARMDetectionChance(70)

--add CQ47 SA-2 with node and power
redIADSWest:addSAMSite('SAM- CQ47 SA-2')
local powerSource = StaticObject.getByName("CQ47 SA-2 Power")  
local connectionNode = Unit.getByName("CQ47 SA-2 Node") 
redIADSWest:getSAMSiteByGroupName('SAM- CQ47 SA-2'):addPowerSource(powerSource):addConnectionNode(connectionNode):setGoLiveRangeInPercent(100):setHARMDetectionChance(50)



--create an instance of the IADS
redIADSQeshm = SkynetIADS:create('Iran Qeshm Island')

-----debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADSQeshm:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.samWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
--redIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
--redIADS:addSAMSitesByPrefix('SAM')


--add a Qeshm Island command center:
commandCenter = StaticObject.getByName('Qeshm Island C2')
local comPowerSource = StaticObject.getByName("Qeshm Island C2 Power")
redIADSQeshm:addCommandCenter(commandCenter):addPowerSource(comPowerSource)

--add a power source and a connection node for Qeshm Island P-19 radar:
redIADSQeshm:addEarlyWarningRadar('EW-Qeshm_Island_P-19')
local powerSource = StaticObject.getByName('Qeshm Island P-19 Power')
local connectionNodeEW = StaticObject.getByName('Qeshm Island P-19 Node')
redIADSQeshm:getEarlyWarningRadarByUnitName('EW-Qeshm_Island_P-19'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add Qeshm SA-11 with node
redIADSQeshm:addSAMSite('SAM- Qeshm SA-11')
local connectionNode = Unit.getByName("Qeshm SA-11 Node") 
redIADSQeshm:getSAMSiteByGroupName('SAM- Qeshm SA-11'):addConnectionNode(connectionNode):setGoLiveRangeInPercent(70):setHARMDetectionChance(90)

--add a connection node to this SA-2 site, and set the option for it to go dark, if it looses connection to the IADS:
--local connectionNode = Unit.getByName('Mobile-Command-Post-SAM-SA-2')
--redIADS:getSAMSiteByGroupName('SAM-SA-2'):addConnectionNode(connectionNode):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)


-- SA-10 sites shall act as EW sites, meaning their radars will be on all the time:
--redIADS:getSAMSitesByNatoName('SA-10'):setActAsEW(true)

--set the sa15 as point defence for the SA-10 site, we set it to always react to a HARM so we can demonstrate the point defence mechanism in Skynet
--local sa15 = redIADS:getSAMSiteByGroupName('SAM- SA-15 Group Attached to SA-10')
--redIADS:getSAMSiteByGroupName('SAM- SA-10'):addPointDefence(sa15):setHARMDetectionChance(90):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)


--set this SA-11 site to go live 70% of max range of its missiles (default value: 100%), its HARM detection probability is set to 50% (default value: 70%)
--redIADS:getSAMSiteByGroupName('SAM-SA-11'):setGoLiveRangeInPercent(70):setHARMDetectionChance(50)

--this SA-6 site will always react to a HARM being fired at it:
--redIADS:getSAMSiteByGroupName('SAM-SA-6'):setHARMDetectionChance(100)

--set this SA-11 site to go live at maximunm search range (default is at maximung firing range):
--redIADS:getSAMSiteByGroupName('SAM-SA-11-2'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_SEARCH_RANGE)

--activate the radio menu to toggle IADS Status output
redIADSEast:addRadioMenu()
redIADSBandar:addRadioMenu()
redIADSWest:addRadioMenu()
redIADSQeshm:addRadioMenu()

-- activate the IADS
redIADSEast: activate()
redIADSBandar:activate()
redIADSWest:activate()
redIADSQeshm: activate()

--add the jammer
local jammerEast = SkynetIADSJammer:create(Unit.getByName('East IADS Jammer'), redIADSEast)
--jammerEast:masterArmOn()
--jammerEast:addRadioMenu()

local jammerBandar = SkynetIADSJammer:create(Unit.getByName('Bandar IADS Jammer'), redIADSBandar)
--jammerBandar:masterArmOn()
--jammerBandar:addRadioMenu()

local jammerWest = SkynetIADSJammer:create(Unit.getByName('West IADS Jammer'), redIADSWest)
--jammerWest:masterArmOn()
--jammerWest:addRadioMenu()

local jammerQeshm = SkynetIADSJammer:create(Unit.getByName('Qeshm IADS Jammer'), redIADSQeshm)
--jammerQeshm:masterArmOn()
--jammerQeshm:addRadioMenu()

---some special code to remove the jammer aircraft if player is not flying with it in formation, has nothing to do with the IADS:
--local hornet = Unit.getByName('Hornet SA-11-2 Attack')
--if hornet == nil then
--	Unit.getByName('jammer-emitter'):destroy()
--	jammer:removeRadioMenu()
--end
--end special code

------setup blue IADS:
--blueIADS = SkynetIADS:create('UAE')
--blueIADS:addSAMSitesByPrefix('BLUE-SAM')
--blueIADS:addEarlyWarningRadarsByPrefix('BLUE-EW')
--blueIADS:activate()
--blueIADS:addRadioMenu()

--local iadsDebug = blueIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.contacts = true

end